/*	Author:		Magdin Stoica
	Supervisor: Dr. Ryan Leduc
	
	Project created in conformity with the requirements for the Degree of Master of Engineering in Software Engineering, 
	Computing and Software Department, 
	McMaster University
	2003 - 2007
*/

#pragma once

#include <QProgressBar>
#include "CommonDefinitions.h"
#include "ProgressUpdate.h"

namespace DESpot
{
	class ProgressWidget : public QProgressBar, public UpdateProgressInterface
	{
		public:
			ProgressWidget(QWidget* parent = null);
			virtual ~ProgressWidget(void);

		public:
			virtual void startProgress();

			virtual void updateProgress();

		    virtual void finishProgress();

		private:
			void setupProgressBar();

		private:
			static const int cMin;
			static const int cMax;
	};

} //end of namespace DESpot
